Name:           bit-keys
Version:        20190716
Release:        1
Summary:        Install BIT SSH keys into authorized_keys files
Source0:        bit-keys
License:	GPT2+

Requires: 	wget
Requires:	gpg

%description
BIT-keys downloads a set of SSH1 (identity.pub) and SSH2 (id_dsa.pub) keys
from an URL https://bit-keys.bit.nl/bit-keys.tar, checking the signature
of this file using gpg(1) and installing the keys in the calling users
$HOME/.ssh/ directory.

%pre
rm -rf /usr/local/bin/bitkeys \
            /usr/local/sbin/bitkeys \
            /usr/bin/bitkeys \
            /usr/sbin/bitkeys \
            /bin/bitkeys \
            /sbin/bitkeys

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/cron.d/
mkdir -p %{buildroot}/usr/bin/
install -m 755 $RPM_SOURCE_DIR/bit-keys %{buildroot}/usr/bin/bit-keys

%post
H=$(( $RANDOM % 24 ));
M=$(( $RANDOM % 60 ));
echo "$M $H * * *    root    (HOME=/root && /usr/bin/bit-keys) >/dev/null 2>&1" > /etc/cron.d/update-bitkeys
chown root:root /etc/cron.d/update-bitkeys
chmod 0644 /etc/cron.d/update-bitkeys
ln -sf /usr/bin/bit-keys /usr/bin/bitkeys

%files
/usr/bin/bit-keys

%postun
rm -f /usr/bin/bitkeys
rm -f /etc/cron.d/update-bitkeys

%changelog
* Tue Jul 16 2019 Sander Smeenk <sander@bit.nl> 20190716
- Add support for 'groups'.

* Mon Aug 27 2018 Sander Smeenk <sander@bit.nl> 20180827
- Removed expiry

* Mon Aug 27 2018 Sander Smeenk <sander@bit.nl> 20180827
- New GPG key

* Wed Jul 05 2017 Sander Smeenk <sander@bit.nl> 20170705
- Rewrite / Rework / Revamp
